GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService Class Reference
Inheritance diagram for eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService:

## Public Member Functions
| ShipmentProcessingService (URL wsdlLocation)
| ShipmentProcessingService (URL wsdlLocation, QName serviceName)
| ShipmentProcessingService ()
| ShipmentProcessingService (WebServiceFeature ... features)
| ShipmentProcessingService (URL wsdlLocation, WebServiceFeature ... features)
| ShipmentProcessingService (URL wsdlLocation, QName serviceName, WebServiceFeature ... features)
ShipmentProcessingPortType | getShipmentProcessingBinding ()
ShipmentProcessingPortType | getShipmentProcessingBinding (WebServiceFeature... features)

## Static Public Attributes
static final URL | WSDL_LOCATION
static final QName | SERVICE = new QName("http://fpcs.gls-group.eu/v1/ShipmentProcessing", "ShipmentProcessingService")
static final QName | ShipmentProcessingBinding = new QName("http://fpcs.gls-group.eu/v1/ShipmentProcessing", "ShipmentProcessingBinding")

## Detailed Description

Shipment processing service A service for ... Version: 1.0 History: 1.0 [2014-06-10] initial release

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 23 of file ShipmentProcessingService.java.

## Constructor & Destructor Documentation

## ◆ ShipmentProcessingService() [1/6]

eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.ShipmentProcessingService | ( | URL | wsdlLocation | ) |

Definition at line 42 of file ShipmentProcessingService.java.

## ◆ ShipmentProcessingService() [2/6]

eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.ShipmentProcessingService | ( | URL | wsdlLocation,
|  | QName | serviceName
| ) |  |

Definition at line 46 of file ShipmentProcessingService.java.

## ◆ ShipmentProcessingService() [3/6]

eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.ShipmentProcessingService | ( |  | ) |

Definition at line 50 of file ShipmentProcessingService.java.

## ◆ ShipmentProcessingService() [4/6]

eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.ShipmentProcessingService | ( | WebServiceFeature ... | features | ) |

Definition at line 54 of file ShipmentProcessingService.java.

## ◆ ShipmentProcessingService() [5/6]

eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.ShipmentProcessingService | ( | URL | wsdlLocation,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 58 of file ShipmentProcessingService.java.

## ◆ ShipmentProcessingService() [6/6]

eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.ShipmentProcessingService | ( | URL | wsdlLocation,
|  | QName | serviceName,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 62 of file ShipmentProcessingService.java.

## Member Function Documentation

## ◆ getShipmentProcessingBinding() [1/2]

ShipmentProcessingPortType eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.getShipmentProcessingBinding | ( |  | ) |

Returns
  returns ShipmentProcessingPortType

Definition at line 75 of file ShipmentProcessingService.java.

## ◆ getShipmentProcessingBinding() [2/2]

ShipmentProcessingPortType eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.getShipmentProcessingBinding | ( | WebServiceFeature... | features | ) |

Parameters

  features | A list of javax.xml.ws.WebServiceFeature to configure on the proxy. Supported features not in the `features` parameter will have their default values.

Returns
  returns ShipmentProcessingPortType

Definition at line 87 of file ShipmentProcessingService.java.

## Member Data Documentation

## ◆ SERVICE

final QName eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.SERVICE = new QName("http://fpcs.gls-group.eu/v1/ShipmentProcessing", "ShipmentProcessingService")
| static

Definition at line 27 of file ShipmentProcessingService.java.

## ◆ ShipmentProcessingBinding

final QName eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.ShipmentProcessingBinding = new QName("http://fpcs.gls-group.eu/v1/ShipmentProcessing", "ShipmentProcessingBinding")
| static

Definition at line 28 of file ShipmentProcessingService.java.

## ◆ WSDL_LOCATION

final URL eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingService.WSDL_LOCATION
| static

Definition at line 25 of file ShipmentProcessingService.java.

The documentation for this class was generated from the following file:

- ShipmentProcessingService.java